/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: include/sgx/core/time/systemclock.hpp

*/

#ifndef SGX_CORE_TIME_SYSTEM_CLOCK_HPP
#define SGX_CORE_TIME_SYSTEM_CLOCK_HPP	1

#include "sgx/core/types/types.hpp"

class CSystemClock {
public:

	static void					getDate(UTCDate &date);
	static UTCDate				getDate();

	static void					getTime(UTCTime &tm);
	static UTCTime				getTime();
	static tUINT32				getDay();
	static UTCMonth				getMonth();
	static tUINT32				getYear();
	static UTCDayOfWeek			getDayOfWeek();
};

#endif /* SGX_CORE_TIME_SYSTEM_CLOCK_HPP */
